# stage1 as builder
FROM node:12-alpine AS BUILDER

WORKDIR /page

# copy the package.json to install dependencies
COPY package.json /page

# Install the dependencies and make the folder
RUN npm install

COPY . /page

# Build the project and copy the files
RUN npm run ng build -- --prod

FROM nginx:alpine

#!/bin/sh

COPY nginx.conf /etc/nginx
COPY mime.types /etc/nginx

## Remove default nginx index page
RUN rm -rf /usr/share/nginx/html/*

# Copy from the stahg 1
COPY --from=BUILDER /page/dist /usr/share/nginx/html

EXPOSE 4200

ENTRYPOINT ["nginx", "-g", "daemon off;", "-p", "/usr/share/nginx"]
